\documentclass[
  paper=a4, % TODO
  backaddress=false,
  fromlogo=true,
  parskip=half,
  enlargefirstpage=on,
]{scrlttr2}

\usepackage{fontspec}
\usepackage{microtype}
\usepackage{polyglossia}
\usepackage{adjustbox}
\usepackage[hidelinks]{hyperref}

\setmainfont{Liberation Serif}

\setkomavar{fromname}{Conférence DebConf17 Montréal}
\setkomavar{fromaddress}{33--6640 Av Fielding\\Montréal, QC H4V 1N3\\Canada}
\setkomavar{fromemail}{visa@debconf.org}
\setkomavar{fromlogo}{\adjustbox{valign=m, raise=2em}{\includegraphics[scale=.2]{logo}}}

\setkomavar{toname}{FullName}          % TODO Full name
\setkomavar{toaddress}{Address\\Phone} % TODO Address + Phone

\setkomavar{subject}{Letter of invitation to attend DebConf17} % TODO Optional mention (Passport no. XY1234567)

\setkomavar{signature}{%
  \includegraphics[scale=.75]{signature}\\
  Abdelhakim Qbaich,\\Travel Coordinator\\(e-mail: \href{mailto:visa@debconf.org}{\usekomavar{fromemail}}, phone: +1 514 756-2333)
}

\setkomavar{firstfoot}{%
  \centering
  \footnotesize{The Immigration, Refugees and Citizenship Canada' Special Event Code for this event is ''17CONF''.}
}

\begin{document}
\begin{letter}{}
  \opening{Dear Mr.\ LastName,} % TODO

  On behalf of Conférence DebConf17 Montréal, I am pleased to invite you to attend the Debian Project's eighteenth annual Debian Conference (DebConf) taking place from August 6 to August 12, 2017 at Collège de Maisonneuve, 3800 Sherbrooke St E, Montreal, QC H1X 2A2, Canada.

  The Debian Project is an association of individuals who have made common cause to create a free operating system.
  DebConf is the Debian Project's annual developer conference.

  In addition to a full schedule of technical, social and policy talks, DebConf provides an opportunity for developers, contributors and other interested people to meet in person and work together more closely.
  % It has taken place annually since 2000 in locations as varied as Brazil, Finland, Argentina, Bosnia and Herzegovina, and Nicaragua.

  % Your meals and lodging during your stay will be paid for by the Debian Project.                    % TODO

  Costs related to travel, accommodation, and conference registration will be your own responsibility. % TODO

  We look forward to see you in Montréal!

  \closing{Sincerely,}
\end{letter}
\end{document}
